<?php

namespace Bydedi\EditorCms;

use Bydedi\Container\ServiceProvider;
use Symfony\Component\DependencyInjection\Reference;

class EditorCmsServiceProvider extends ServiceProvider
{

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function register()
    {
        if (!$this->serviceContainer->hasParameter('app.cms_settings')) {
            $this->serviceContainer->setParameter('app.cms_settings', [
                'table_name' => 'page',
                'text_code_column_name' => 'code',
                'text_columns' => [
                    'title',
                ],
                'textarea_columns' => [
                    'content',
                ],
                'lang_column' => 'lang',
            ]);
        }

        $this->serviceContainer->getDefinition('template')
            ->addMethodCall('addTemplateDir', [__DIR__ . '/views']);

        $this->serviceContainer->register('utils.text.editor_cms', 'Bydedi\EditorCms\EditorCms')
            ->addArgument(new Reference('template'))
            ->addArgument(new Reference('database.connection'))
            ->addArgument('%app.cms_settings%')
            ->addArgument(new Reference('utils.text'))
            ->addMethodCall('setRequestStack', [new Reference('request_stack')]);
        ;
    }
}
