<?php

namespace Bydedi\EditorCms\Forms;

use Bydedi\Form\Constraint\NotBlank;
use Bydedi\Form\Field;
use Bydedi\Form\Form as BydediForm;

class Form extends BydediForm
{
    /**
     * @var array
     */
    private $fieldsNames;

    public function __construct(array $fieldsNames, $formPrefix, $message)
    {
        $this->fieldsNames = $fieldsNames;

        foreach ($this->fieldsNames as $field) {
            $this->addField("$formPrefix$field", $message);
        }

    }

    public function addField($fieldName, $message)
    {
        $this->add(new Field($fieldName,
            [
                "not_empty" => new NotBlank(),
            ],
            [
                "not_empty" => $message,
            ]
        ));
    }
}
